
QGIS Application - Bug report #1690

Tools->Research Tools->Select by location crashes with PostGIS-Layer

2009-05-13 05:42 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11750

Description

The Tools->Research Tools->Select by location function only works with shape files. When I try to use it with the same layers from

[[PostGIS]] I do get the following Python error message:

Traceback (most recent call last):

  File "/usr/local/qgis-trunk/share/qgis/python/plugins/fTools/tools/doSelectByLocation.py", line 52, in accept

    self.compute(inPoly, inPts, self.cmbModify.currentText())

  File "/usr/local/qgis-trunk/share/qgis/python/plugins/fTools/tools/doSelectByLocation.py", line 64, in compute

    geomLayer = [[QgsGeometry]](feat.geometry())

[[TypeError]]: argument 1 of [[QgsGeometry]]() has an invalid type

Python-Version:

2.5.2 (r252:60911, May 27 2008, 09:12:11) 

[GCC 3.4.6 20060404 (Red Hat 3.4.6-3)]

History

#1 - 2009-05-13 06:02 AM - bjpfei -

- Resolution set to duplicate

- Status changed from Open to Closed

see also Bug 1669
